| Flutter Impeller |

Public Member Functions | Protected Member Functions | List of all members
impeller::ShaderFunction Class Reference

`#include <shader_function.h>`

Inheritance diagram for impeller::ShaderFunction:

## Public Member Functions
virtual | ~ShaderFunction ()
ShaderStage | GetStage () const
const std::string & | GetName () const
std::size_t | GetHash () const override
bool | IsEqual (const ShaderFunction &other) const override

## Protected Member Functions
| ShaderFunction (UniqueID parent_library_id, std::string name, ShaderStage stage)

## Detailed Description

Definition at line 15 of file shader_function.h.

## Constructor & Destructor Documentation

## ◆ ~ShaderFunction()

impeller::ShaderFunction::~ShaderFunction | ( |  | ) |
| virtualdefault

## ◆ ShaderFunction()

impeller::ShaderFunction::ShaderFunction | ( | UniqueID | parent_library_id,
|  | std::string | name,
|  | ShaderStage | stage
| ) |  |
| protected

Definition at line 9 of file shader_function.cc.

12 : parent_library_id_(parent_library_id),
13 name_(std::move(name)),
14 stage_(stage) {}

## Member Function Documentation

## ◆ GetHash()

std::size_t impeller::ShaderFunction::GetHash | ( |  | ) | const
| overridevirtual

Implements impeller::Comparable< ShaderFunction >.

Definition at line 27 of file shader_function.cc.

27 {
28 return fml::HashCombine(parent_library_id_, name_, stage_);
29 }

## ◆ GetName()

const std::string & impeller::ShaderFunction::GetName | ( |  | ) | const

Definition at line 22 of file shader_function.cc.

22 {
23 return name_;
24 }

## ◆ GetStage()

ShaderStage impeller::ShaderFunction::GetStage | ( |  | ) | const

Definition at line 18 of file shader_function.cc.

18 {
19 return stage_;
20 }

## ◆ IsEqual()

bool impeller::ShaderFunction::IsEqual | ( | const ShaderFunction & | other | ) | const
| overridevirtual

Implements impeller::Comparable< ShaderFunction >.

Definition at line 32 of file shader_function.cc.

32 {
33 return parent_library_id_ == other.parent_library_id_ &&
34 name_ == other.name_ && stage_ == other.stage_;
35 }

The documentation for this class was generated from the following files:

- impeller/renderer/shader_function.h
- impeller/renderer/shader_function.cc